LayerGenerationRequest
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.impl.publishing.gis
Class LayerGenerationRequest

    java.lang.Object
      org.gcube.application.aquamaps.aquamapsservice.impl.publishing.gis.LayerGenerationRequest

    public class LayerGenerationRequest

extends java.lang.Object

Constructor Summary
`LayerGenerationRequest(java.lang.String csvFile, java.lang.String featureLabel, java.lang.String featureDefinition, java.lang.String mapName, LayersType mapType, java.util.List<StyleGenerationRequest> toGenerateStyles, java.util.List<java.lang.String> toAssociateStyles, int defaultStyle)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getCsvFile()`
`int` | `getDefaultStyle()`
`java.lang.String` | `getFeatureDefinition()`
`java.lang.String` | `getFeatureLabel()`
`java.lang.String` | `getMapName()`
`LayersType` | `getMapType()`
`java.util.List<java.lang.String>` | `getToAssociateStyles()`
`java.util.List<StyleGenerationRequest>` | `getToGenerateStyles()`
`int` | `hashCode()`
`void` | `setCsvFile(java.lang.String csvFile)`
`void` | `setDefaultStyle(int defaultStyle)`
`void` | `setFeatureDefinition(java.lang.String featureDefinition)`
`void` | `setFeatureLabel(java.lang.String featureLabel)`
`void` | `setMapName(java.lang.String mapName)`
`void` | `setMapType(LayersType mapType)`
`void` | `setToAssociateStyles(java.util.List<java.lang.String> toAssociateStyles)`
`void` | `setToGenerateStyles(java.util.List<StyleGenerationRequest> toGenerateStyles)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LayerGenerationRequest

    public LayerGenerationRequest(java.lang.String csvFile,
                                  java.lang.String featureLabel,
                                  java.lang.String featureDefinition,
                                  java.lang.String mapName,
                                  LayersType mapType,
                                  java.util.List<StyleGenerationRequest> toGenerateStyles,
                                  java.util.List<java.lang.String> toAssociateStyles,
                                  int defaultStyle)

Method Detail

### getCsvFile

    public java.lang.String getCsvFile()

### setCsvFile

    public void setCsvFile(java.lang.String csvFile)

### getFeatureLabel

    public java.lang.String getFeatureLabel()

### setFeatureLabel

    public void setFeatureLabel(java.lang.String featureLabel)

### getFeatureDefinition

    public java.lang.String getFeatureDefinition()

### setFeatureDefinition

    public void setFeatureDefinition(java.lang.String featureDefinition)

### getMapName

    public java.lang.String getMapName()

### setMapName

    public void setMapName(java.lang.String mapName)

### getMapType

    public LayersType getMapType()

### setMapType

    public void setMapType(LayersType mapType)

### getToGenerateStyles

    public java.util.List<StyleGenerationRequest> getToGenerateStyles()

### setToGenerateStyles

    public void setToGenerateStyles(java.util.List<StyleGenerationRequest> toGenerateStyles)

### getToAssociateStyles

    public java.util.List<java.lang.String> getToAssociateStyles()

### setToAssociateStyles

    public void setToAssociateStyles(java.util.List<java.lang.String> toAssociateStyles)

### setDefaultStyle

    public void setDefaultStyle(int defaultStyle)

### getDefaultStyle

    public int getDefaultStyle()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD